> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all payments by network

> Returns a list of payments for the specified network. Supports both traditional pagination and scroll API for large datasets.



## OpenAPI

````yaml /api-reference/data-api.json post /v1/network/{network}/payments
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/network/{network}/payments:
    post:
      tags:
        - Network Information
      summary: Get all payments by network
      description: >-
        Returns a list of payments for the specified network. Supports both
        traditional pagination and scroll API for large datasets.
      operationId: getPaymentsByNetwork
      parameters:
        - name: network
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number "offset"
          schema:
            example: '0'
            type: string
        - name: pageSize
          required: false
          in: query
          description: Page size
          schema:
            type: string
        - name: useScroll
          required: false
          in: query
          description: Whether to use scroll API for pagination
          schema:
            default: false
            type: boolean
        - name: scrollBatchSize
          required: false
          in: query
          description: Batch size for scroll requests
          schema:
            default: 100
            type: number
        - name: hasMore
          required: false
          in: query
          description: Whether there are more results available (only when useScroll=true)
          schema:
            type: boolean
        - name: addressParams
          required: false
          in: query
          description: Array of address parameters
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AddressParamDTO'
        - name: direction
          required: false
          in: query
          description: Direction of payment (incoming, outgoing) default is both
          schema:
            default: ''
            type: string
            enum:
              - incoming
              - outgoing
        - name: sort
          required: false
          in: query
          description: Sort order (asc, desc)
          schema:
            default: desc
            type: string
            enum:
              - asc
              - desc
        - name: groupBy
          required: false
          in: query
          description: '"address" mode or "entity" mode'
          schema:
            default: address
            type: string
            enum:
              - address
              - entity
        - name: startTime
          required: false
          in: query
          description: Start time
          schema:
            type: string
        - name: endTime
          required: false
          in: query
          description: End time
          schema:
            type: string
        - name: sortBy
          required: false
          in: query
          description: Sort By Field
          schema:
            default: ti
            type: string
            enum:
              - ti
              - usd
        - name: msgTypes
          required: false
          in: query
          description: Array of message types
          schema:
            type: array
            items:
              type: string
        - name: senderSymbols
          required: false
          in: query
          description: sender symbols seperated by comma
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScrollIdDTO'
      responses:
        '200':
          description: List of payments for the specified network.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkPaymentsResponseDTO'
components:
  schemas:
    AddressParamDTO:
      type: object
      properties:
        key:
          type: string
          description: Key for the address parameter
        value:
          type: string
          description: Value for the address parameter
      required:
        - key
        - value
    ScrollIdDTO:
      type: object
      properties:
        scrollId:
          type: string
          description: Scroll ID for pagination (only when useScroll=true)
    NetworkPaymentsResponseDTO:
      type: object
      properties:
        scrollId:
          type: string
          description: Scroll ID for pagination (only when useScroll=true)
        hasMore:
          type: boolean
          description: Whether there are more results available (only when useScroll=true)
        payments:
          type: array
          description: Array of payment objects
          items:
            type: object
        count:
          type: number
          description: >-
            Total count of payments (only in initial request or traditional
            pagination)
      required:
        - payments
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````